<template>
	<view class="configPopup">
		<uv-popup :show="showConfirmOrder" mode="bottom" @close="close" :round="10" :closeable="true"
			>
			<view class="content">
				<up-parse :content="content"></up-parse>
			</view>
		</uv-popup>
	</view>
</template>

<script>
	import { mapState, mapGetters } from 'vuex'
	export default {
		name: 'configPoup',
		data() {
			return {
				content : '',
				showConfirmOrder : false,
			}
		},
		onShow(){
		},
		methods: {
			//打开配置信息菜单
			open(key){
				this.content = this.configList[key].paramValueArea
				this.showConfirmOrder = true
			},
			openText(content){
				this.content = content
				this.showConfirmOrder = true
			},
			close(){
				this.showConfirmOrder = false
			},
		},
		computed : {
			...mapGetters(['configList'])
		}
	}
</script>

<style lang="scss" scoped>
	.configPopup {
		.content{
			min-height: 50vh;
			max-height: 70vh;
			padding: 30rpx 20rpx;
			overflow: scroll;
			height: 100%;
			box-sizing: border-box;
		}
	}
</style>